[Install]
model = Panasonic DP-C405
Network = 1
USB = 1
Parallel = 0
Option = FS402

[PrinterVersion]
2K=
AMD64=

[Main]
ModelName=DP-C405 PS
SeriesName=Panasonic WORKiO DP-C405/DP-C305/DP-C265 Series
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=USBPRINT\PanasonicDP-C40507B9
;OEMURL=
USBID=VID_04DA&PID_3A0E
USBPRINT=PanasonicDP-C405
LPTPRINT=PanasonicDP-C40507B9

;***********************************************************************
;DP-C405 PS
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic DP-C405 PS FS402
;LanguageMonitorName=
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=2000,AMD64
DefaultSharedName=DPC405PS

;***********************************************************************
;DP-C405 PS 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=PSCRIPT5.DLL
ConfigurationFile=PS5UI.DLL
DataFile=PADP405F.PPD
DependentFiles=PADPCP25.ICM,PS5UI.DLL,PSCRIPT.HLP,PSCRIPT.NTF,PSCRIPT5.DLL,PS_SCHM.GDL,PADP405F.PPD
HelpFile=PSCRIPT.HLP
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=Pad405F.INF
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]
DeleteFile001=PADPCP25.ICM,WINPRNDRV,NOT_SHARED
DeleteFile002=PS5UI.DLL,WINPRNDRV,NOT_SHARED
DeleteFile003=PSCRIPT.HLP,WINPRNDRV,NOT_SHARED
DeleteFile004=PSCRIPT.NTF,WINPRNDRV,NOT_SHARED
DeleteFile005=PSCRIPT5.DLL,WINPRNDRV,NOT_SHARED
DeleteFile006=PS_SCHM.GDL,WINPRNDRV,NOT_SHARED
DeleteFile007=Pad405F.INF,WININF_OTHER,NOT_SHARED
DeleteFile008=PADP405F.PPD,WINPRNDRV,NOT_SHARED
DeleteFile009=PADP405F.BPD,WINPRNDRV,NOT_SHARED
DeleteFile010=PADPCP25.ICM,WINPRNDRV3,SHARED
DeleteFile011=PS5UI.DLL,WINPRNDRV3,SHARED
DeleteFile012=PSCRIPT.HLP,WINPRNDRV3,SHARED
DeleteFile013=PSCRIPT.NTF,WINPRNDRV3,SHARED
DeleteFile014=PSCRIPT5.DLL,WINPRNDRV3,SHARED
DeleteFile015=PS_SCHM.GDL,WINPRNDRV3,SHARED
DeleteFile016=Pad405F.INF,WININF_OTHER,NOT_SHARED
DeleteFile017=PADP405F.PPD,WINPRNDRV3,NOT_SHARED
DeleteFile018=PADP405F.BPD,WINPRNDRV3,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-C405 PS FS402

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-C40507B9,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_3A0E,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicDP-C405,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-C405 PS FS402,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-C405 PS FS402,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-C405 PS FS402,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-C405 PS FS402


;***********************************************************************
;DP-C405 PS AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]
DataType=RAW
Driver=PSCRIPT5.DLL
ConfigurationFile=PS5UI.DLL
DataFile=PADP405F.PPD
DependentFiles=PADPCP25.ICM,PS5UI.DLL,PSCRIPT.HLP,PSCRIPT.NTF,PSCRIPT5.DLL,PS_SCHM.GDL,PADP405F.PPD
HelpFile=PSCRIPT.HLP
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=Pad405F.INF
BiDirectional=Always

[PrinterDriver1.AMD64.Uninstall]
DeleteFile001=PADPCP25.ICM,WINPRNDRVX64,NOT_SHARED
DeleteFile002=PS5UI.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile003=PSCRIPT.HLP,WINPRNDRVX64,NOT_SHARED
DeleteFile004=PSCRIPT.NTF,WINPRNDRVX64,NOT_SHARED
DeleteFile005=PSCRIPT5.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile006=PS_SCHM.GDL,WINPRNDRVX64,NOT_SHARED
DeleteFile007=Pad405F.INF,WININF_OTHER,NOT_SHARED
DeleteFile008=PADP405F.PPD,WINPRNDRVX64,NOT_SHARED
DeleteFile009=PADP405F.BPD,WINPRNDRVX64,NOT_SHARED
DeleteFile010=PADPCP25.ICM,WINPRNDRVX643,SHARED
DeleteFile011=PS5UI.DLL,WINPRNDRVX643,SHARED
DeleteFile012=PSCRIPT.HLP,WINPRNDRVX643,SHARED
DeleteFile013=PSCRIPT.NTF,WINPRNDRVX643,SHARED
DeleteFile014=PSCRIPT5.DLL,WINPRNDRVX643,SHARED
DeleteFile015=PS_SCHM.GDL,WINPRNDRVX643,SHARED
DeleteFile016=Pad405F.INF,WININF_OTHER,NOT_SHARED
DeleteFile017=PADP405F.PPD,WINPRNDRVX643,NOT_SHARED
DeleteFile018=PADP405F.BPD,WINPRNDRVX643,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-C405 PS FS402

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-C40507B9,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_3A0E,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicDP-C405,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-C405 PS FS402,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-C405 PS FS402,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-C405 PS FS402,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-C405 PS FS402
